// Generated by CoffeeScript 1.4.0

/*
jQuery Spinner
Copyright 2012 Kevin Sylvestre
*/


(function() {
  "use strict";

  var $, Spinner;

  $ = jQuery;

  Spinner = (function() {

    Spinner.prototype.defaults = {
      petals: 9
    };

    function Spinner(element, options) {
      this.$element = $(element);
      this.options = $.extend({}, this.defaults, options);
      this.configure();
    }

    Spinner.prototype.show = function() {
      return this.$element.animate({
        opacity: 1.0
      });
    };

    Spinner.prototype.hide = function() {
      return this.$element.animate({
        opacity: 0.0
      });
    };

    Spinner.prototype.destroy = function() {
      this.$element.empty();
      return this.$element.data('spinner', void 0);
    };

    Spinner.prototype.configure = function() {
      var $petal, i, _i, _ref, _results;
      this.$element.empty();
      _results = [];
      for (i = _i = 0, _ref = this.options.petals; 0 <= _ref ? _i < _ref : _i > _ref; i = 0 <= _ref ? ++_i : --_i) {
        $petal = $("<div />");
        _results.push(this.$element.append($petal));
      }
      return _results;
    };

    return Spinner;

  })();

  $.fn.spinner = function(options) {
    return $(this).each(function() {
      var $this, data;
      $this = $(this);
      data = $this.data('spinner');
      if (data == null) {
        $this.data('spinner', data = new Spinner($this, options));
      }
      if (typeof options === 'string') {
        return data[options]();
      }
    });
  };

  $(function() {
    return $('[data-spin="spinner"]').spinner();
  });

}).call(this);
